﻿Type=StaticCode
Version=2.22
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub
'Copies a database file that was added in the Files tab. The database must be copied to a writable location.
'This method copies the database to the storage card. If the storage card is not available the file is copied to the internal folder.
'The target folder is returned.
'If the database file already exists then no copying is done, UNLESS the forcecopy is TRUE

Sub CopyDBFromAssets (FileName As String,SubDir As String, File2 As String, ForceCopy As Boolean) As String
	Dim TargetDir As String
	Dim FileName2 As String
'Log ("Comprobación de donde se puede escribir a ...")
If File.ExternalWritable=True Then TargetDir = File.DirDefaultExternal Else TargetDir = File.DirInternal
	'Log("escribi a: " & TargetDir)
	
	'Comprobar para ver si existe el directorio ... Si no lo crea
'Log("Comprobar para ver si el directorio existe")
	If File.IsDirectory(TargetDir & "/" & SubDir,"test")=False Then
	File.MakeDir(TargetDir,SubDir)
	'Log("Created directory...")
	Else
	'Log(" existen el directorio!")
	End If

		TargetDir=TargetDir & "/" & SubDir
	'Log("Cadena de Target directorio creado: " & TargetDir)
	
	If File.Exists(TargetDir, FileName) = False  OR ForceCopy=True Then
		If  File.Exists(TargetDir, File2) = False OR ForceCopy=True Then
			Log("copying file..." & FileName)
			File.Copy(File.DirAssets, FileName, TargetDir, FileName)
			Log("Copied " & FileName)
			
			'check filename for .zip
			If CheckFile(FileName)=True Then
			Log("We got a zip file!")
			'Yes, its a zip
			FileName2=ConvertFileName(FileName)
			Log("Converted " & FileName & " to " & FileName2)
			
			File.Copy(File.DirAssets, FileName, TargetDir, FileName2)
			File.Delete(TargetDir,FileName)
		End If
	End If
			

	End If
	Return TargetDir
End Sub
'Esta rutina se utiliza para buscar la extensión .zip en un nombre de archivo. si se encuentra,
'return true ... este es un trabajo en torno a la chinche Android de copia de archivos mayor de 1 MB
Sub CheckFile(vFileName As String) As Boolean
If vFileName.EndsWith(".zip") OR vFileName.EndsWith(".ZIP") OR vFileName.EndsWith(".jpg") Then Return True
Return False

End Sub
'Esta rutina se utiliza para convertir los nombres de volver .db
Sub ConvertFileName(vFileName As String) As String
vFileName=vFileName.ToLowerCase
vFileName=vFileName.Replace(".","_")
vFileName=vFileName.Replace("_zip",".db")
vFileName=vFileName.Replace("_jpg",".db")
Return vFileName


End Sub